{% extends "base.html.twig" %}
{% block topbar %}
    {{parent()}}
    {% include 'topbar/topbar2do.html.twig' %}
    {% include 'courrier/do/topbar_courrier_do.html.twig' %}
{% endblock %}
{% block body %}
    <div class="container-fluid">
        <h3 style="margin-bottom: 10px">Compte rendu de réunion</h3>
        <div class=" col-md-offset-2 col-md-8 col-sm-12 col-xs-12">
            <fieldset>
                <legend>Diffusion</legend>

                <form id='form_cr' class="form-vertical" method="POST">

                    <div class="form-group col-md-4 col-sm-12 col-xs-12">
                        <div class="col-md-5 col-sm-4 col-xs-6">
                            Rédacteur du CR
                        </div>
                        <input name='redacteur' class="col-md-7 col-sm-8 col-xs-6" value='{{ context.user.prenom }} {{ context.user.nom }}'>
                    </div>
                    <div class="form-group col-md-8">
                        <div class="col-md-2 col-sm-4 col-xs-6">
                            Date réunion
                        </div>
                        <input required type="date" name='date_reunion' class="col-md-4 col-sm-8 col-xs-6" value="{{ edition.date_reunion|date('Y-m-d') }}">
                    </div>
                    <div class="form-group col-md-12">
                        <div class="col-md-2 col-sm-4 col-xs-6">
                            Diffusion :
                        </div><div class="col-md-10">{{ diffusion }}</div>
                    </div>
                    <div class="form-group col-md-12">
                        <div class="col-md-2 col-sm-4 col-xs-6">
                            Diffusion complémentaire :
                        </div>
                        <input id='hidden_diff' type='hidden' name='diffusion'>
                        <div class="col-md-10" id='diff_compl'>
                        </div><div class="col-md-2"><button class="btn-gaia" id='adddiff' type="button">Ajouter destinataire</button>
                        </div>
                        </fieldset>
                        <div class="separator-20"></div>
                        <fieldset>
                            <legend>Objet de la réunion</legend>
                            <div class="col-md-12">
                                <textarea name='objet_reunion' class="col-md-12 col-sm-12 col-xs-12">{{ edition.objet_reunion }}</textarea>
                            </div>
                        </fieldset>
                        <div class="separator-20"></div>
                        <fieldset>
                            <legend>Déroulement de la réunion</legend>
                            <div class="col-md-12 separator-20">
                                Position de l'expert
                                <textarea name='expert_position' class="col-md-12 col-sm-12 col-xs-12">{{edition.expert_position }}</textarea>
                            </div>
                            <div class="col-md-12 separator-20">
                                Liste des dommages allégués par l'expert
                                <textarea class="col-md-12 col-sm-12 col-xs-12" name="liste_dommages">{{ edition.liste_dommages }}</textarea>
                            </div>
                            <div class="col-md-12">
                                Commentaire explicatif sur les dommages
                                <textarea name='commentaires_dommages' class="col-md-12 col-sm-12 col-xs-12">{{ edition.commentaires_dommages }}</textarea>
                            </div>
                        </fieldset>
                        <div class="separator-20"></div>
                        <fieldset>
                            <legend>Interventions de Qualiconsult durant la réunion</legend>
                            <div class="col-md-12 separator-20">
                                Position en défense
                                <textarea name='position_defense' class="col-md-12 col-sm-12 col-xs-12">{{ edition.position_defense }}</textarea>
                            </div>
                            <div class="col-md-12">
                                Documents à transmettre à l'expert
                                <textarea name='docs_a_transmettre' class="col-md-12 col-sm-12 col-xs-12">{{ edition.docs_a_transmettre }}</textarea>
                            </div>
                        </fieldset>
                        <div class="separator-20"></div>
                        <fieldset>
                            <legend>Evolution prévisionelle des opérations d'expertise</legend>
                            <div class="form-group col-md-5 col-sm-12 col-xs-12">
                                <div class="col-md-8 col-sm-6 col-xs-12">
                                    Date prochaine réunion éventuelle
                                </div>
                                <input name='date_prochaine_reunion' value="{{ edition.date_prochaine_reunion|date('Y-m-d')}}" type='date' class="col-md-4 col-sm-6 col-xs-12">
                            </div>
                            <div class="form-group col-md-6">
                                <div class="col-md-8 col-sm-6 col-xs-12">
                                    Date prévisionnelle de remise de son rapport par l'expert
                                </div>
                                <input type='date' name='date_remise_rapport' value="{{edition.date_remise_rapport|date('Y-m-d')}}" class="col-md-4 col-sm-6 col-xs-12">
                            </div>
                            <div class="col-md-12">
                                Commentaires
                                <textarea name='commentaires' class="col-md-12 col-sm-12 col-xs-12">{{ edition.commentaires}}</textarea>
                            </div>
                        </fieldset>
                        <div class="col-md-12 separator-50" style="margin-top: 10px"><button class="pull-right btn btn-gaia">Ajouter aux éditions</button></div>
                </form>
        </div>
        <script>
            $(document).ready(function () {

                function checkMail(email) {
                    var test = /(^[a-zA-Z0-9_.+-]+@qualiconsult\.fr)/i;
                    return test.test(email);
                }

                $('#adddiff').click(function () {
                    var saisie = prompt("Adresse mail");
                    if (checkMail(saisie) == false) {
                        alert('Erreur d\'adresse email');
                        return false;
                    }
                    var span = "<span style='margin-bottom: 5px' class='diff col-md-12'><span class='mail_diff'>" + saisie + "</span> <button type='button' class='btn-gaia btn_rm_diff'>supprimer</button></span>";
                    $('#diff_compl').append(span);
                });

                $(document).on('click', '.btn_rm_diff', function () {
                    var span = $(this).parents('span');
                    span.remove();
                });

                $('#form_cr').submit(function (e) {
                    var diffs = $('.mail_diff').toArray();
                    var str = "";
                    diffs.forEach(function (elem) {
                        str += elem.innerHTML;
                        if (elem != diffs.slice(-1)[0]) {
                            str += ",";
                        }
                    });
                    $('#hidden_diff').val(str);
                });
            {% if manquants != "false" %}
                    var manquants = JSON.parse("{{ manquants|escape('js') }}");
                    $("#form_cr").submit(function () {
                        var str = "Attention, les informations suivantes ne sont pas renseignées dans la fiche sinistre, et seront manquantes dans le rapport :\n";
                        manquants.forEach(function (champ) {
                            str += "-" + champ + "\n";
                        });
                        alert(str);
                    });
            {% endif %}
                });
        </script>
    {% endblock %}